# open it when we support welcome logo
%bcond_with welcome_logo

%global debug_package %{nil}

Summary:       GNOME Tour and Greeter
Name:          gnome-tour
Version:       43.0
Release:       8%{?dist}
License:       GPLv3+ and CC-BY-SA
URL:           https://gitlab.gnome.org/GNOME/gnome-tour
Source0:       https://download.gnome.org/sources/gnome-tour/43/gnome-tour-%{version}.tar.xz
%if %{with welcome_logo}
Source1:       welcome-%{_vendor}.svg
%endif
Source2:       Cargo.lock
# step1. tar xf gnome-tour-%{version}.tar.xz
# step2. cp Cargo.lock gnome-tour-%{version}
# step3. cd gnome-tour-%{version} && cargo vendor
# step4. sed -i '/default-features = false/d' vendor/glib-macros/Cargo.toml
# step5. sed -i "s/d6e10d3ec19f19b5a32cdcd159567ede9fa1e59ac13f446f0a1e40f99e7e6c1b/ea00aa6587f4f1793c296fd4a18c9989239e13df703c9254906b1c757714d440/g" vendor/glib-macros/.cargo-checksum.json
# step6. tar zcf vendor.tar.gz vendor
Source3:       vendor.tar.gz

BuildRequires: meson pkgconfig(glib-2.0) pkgconfig(gio-2.0) pkgconfig(gdk-pixbuf-2.0) pkgconfig(gtk4)
BuildRequires: pkgconfig(libadwaita-1) /usr/bin/appstream-util /usr/bin/desktop-file-validate rust-toolset

Provides: bundled(crate(aho-corasick/default)) = 0.7.20
Provides: bundled(crate(anyhow/default)) = 1.0.69
Provides: bundled(crate(atty/default)) = 0.2.14
Provides: bundled(crate(autocfg/default)) = 1.0.1
Provides: bundled(crate(bitflags/default)) = 1.3.2
Provides: bundled(crate(block/default)) = 0.1.6
Provides: bundled(crate(cairo-rs/default)) = 0.15.1
Provides: bundled(crate(cairo-sys-rs/default)) = 0.15.1
Provides: bundled(crate(cc/default)) = 1.0.72
Provides: bundled(crate(cfg-expr/default)) = 0.9.0
Provides: bundled(crate(cfg-if/default)) = 1.0.0
Provides: bundled(crate(env_logger/default)) = 0.7.1
Provides: bundled(crate(field-offset/default)) = 0.3.5
Provides: bundled(crate(futures-channel/default)) = 0.3.27
Provides: bundled(crate(futures-core/default)) = 0.3.27
Provides: bundled(crate(futures-executor/default)) = 0.3.27
Provides: bundled(crate(futures-io/default)) = 0.3.27
Provides: bundled(crate(futures-task/default)) = 0.3.27
Provides: bundled(crate(futures-util/default)) = 0.3.27
Provides: bundled(crate(gdk4/default)) = 0.4.4
Provides: bundled(crate(gdk-pixbuf/default)) = 0.15.1
Provides: bundled(crate(gdk-pixbuf-sys/default)) = 0.15.1
Provides: bundled(crate(gdk4-sys/default)) = 0.4.2
Provides: bundled(crate(gettext-rs/default)) = 0.7.0
Provides: bundled(crate(gettext-sys/default)) = 0.21.2
Provides: bundled(crate(gio/default)) = 0.15.3
Provides: bundled(crate(gio-sys/default)) = 0.15.1
Provides: bundled(crate(glib/default)) = 0.15.3
Provides: bundled(crate(glib-macros/default)) = 0.15.3
Provides: bundled(crate(glib-sys/default)) = 0.15.1
Provides: bundled(crate(gobject-sys/default)) = 0.15.1
Provides: bundled(crate(graphene-rs/default)) = 0.15.1
Provides: bundled(crate(graphene-sys/default)) = 0.15.1
Provides: bundled(crate(gsk4/default)) = 0.4.4
Provides: bundled(crate(gsk4-sys/default)) = 0.4.2
Provides: bundled(crate(gtk4/default)) = 0.4.5
Provides: bundled(crate(gtk4-macros/default)) = 0.4.10
Provides: bundled(crate(gtk4-sys/default)) = 0.4.9
Provides: bundled(crate(heck/default)) = 0.4.1
Provides: bundled(crate(heck/default)) = 0.4.0
Provides: bundled(crate(humantime/default)) = 1.3.0
Provides: bundled(crate(lazy_static/default)) = 1.4.0
Provides: bundled(crate(libc/default)) = 0.2.140
Provides: bundled(crate(libadwaita/default)) = 0.1.0
Provides: bundled(crate(libadwaita-sys/default)) = 0.1.0
Provides: bundled(crate(locale_config/default)) = 0.3.0
Provides: bundled(crate(log/default)) = 0.4.14
Provides: bundled(crate(malloc_buf/default)) = 0.0.6
Provides: bundled(crate(memchr/default)) = 2.4.1
Provides: bundled(crate(memoffset/default)) = 0.8.0
Provides: bundled(crate(objc/default)) = 0.2.7
Provides: bundled(crate(objc-foundation/default)) = 0.1.1
Provides: bundled(crate(objc_id/default)) = 0.1.1
Provides: bundled(crate(pango/default)) = 0.15.2
Provides: bundled(crate(pango-sys/default)) = 0.15.1
Provides: bundled(crate(pest/default)) = 2.1.3
Provides: bundled(crate(pin-project-lite/default)) = 0.2.8
Provides: bundled(crate(pin-utils/default)) = 0.1.0
Provides: bundled(crate(pkg-config/default)) = 0.3.26
Provides: bundled(crate(pretty_env_logger/default)) = 0.4.0
Provides: bundled(crate(proc-macro-crate/default)) = 1.1.0
Provides: bundled(crate(proc-macro-error/default)) = 1.0.4
Provides: bundled(crate(proc-macro-error-attr/default)) = 1.0.4
Provides: bundled(crate(proc-macro2/default)) = 1.0.53
Provides: bundled(crate(quick-error/default)) = 1.2.3
Provides: bundled(crate(quote/default)) = 1.0.26
Provides: bundled(crate(regex/default)) = 1.7.3
Provides: bundled(crate(regex-syntax/default)) = 0.6.29
Provides: bundled(crate(rustc_version/default)) = 0.4.0
Provides: bundled(crate(semver/default)) = 1.0.17
Provides: bundled(crate(semver-parser/default)) = 0.10.2
Provides: bundled(crate(serde/default)) = 1.0.136
Provides: bundled(crate(slab/default)) = 0.4.8
Provides: bundled(crate(smallvec/default)) = 1.10.0
Provides: bundled(crate(syn/default)) = 1.0.86
Provides: bundled(crate(system-deps/default)) = 6.0.3
Provides: bundled(crate(temp-dir/default)) = 0.1.11
Provides: bundled(crate(termcolor/default)) = 1.2.0
Provides: bundled(crate(thiserror/default)) = 1.0.40
Provides: bundled(crate(thiserror-impl/default)) = 1.0.40
Provides: bundled(crate(toml/default)) = 0.5.10
Provides: bundled(crate(ucd-trie/default)) = 0.1.3
Provides: bundled(crate(unicode-segmentation/default)) = 1.8.0
Provides: bundled(crate(unicode-xid/default)) = 0.2.2
Provides: bundled(crate(version-compare/default)) = 0.1.1
Provides: bundled(crate(version_check/default)) = 0.9.4

%description
A guided tour and greeter for GNOME.

%prep
%autosetup -p1 -n %{name}-%{version}
%cargo_prep -V 3
rm -rf vendor
cp %{SOURCE3} .
tar zxf vendor.tar.gz
%if %{with welcome_logo}
cp -a %{SOURCE1} data/resources/assets/welcome.svg
%endif

rm -f Cargo.toml.orig
rm -f Cargo.lock

sed -i -e '/\(build_by_default\|install\)/s/true/false/' src/meson.build

%build
%meson
%meson_build
%cargo_build


%install
%meson_install
%cargo_install

%find_lang gnome-tour

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/org.gnome.Tour.metainfo.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.Tour.desktop

%files -f gnome-tour.lang
%license LICENSE.md
%doc NEWS README.md
%{_bindir}/gnome-tour
%{_datadir}/gnome-tour/
%{_datadir}/applications/org.gnome.Tour.desktop
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Tour.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Tour-symbolic.svg
%{_metainfodir}/org.gnome.Tour.metainfo.xml

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-8
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-7
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-6
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Jul 18 2023 Wang Guodong <gordonwwang@tencent.com> - 43.0-5
- Rebuilt for rust 1.69.0

* Fri May 26 2023 Shuo Wang <abushwang@tencent.com> - 43.0-4
- fix gnome-tour can not display in gnome

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Mar 13 2023 Shuo Wang <abushwang@tencent.com> - 43.0-1
- initial build
